<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/MCParticle.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MCParticle.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_m_c_particle_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// datamodel specific includes</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_8h.html">eicd/MCParticle.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_const_8h.html">eicd/MCParticleConst.h</a>&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_obj_8h.html">eicd/MCParticleObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_data_8h.html">eicd/MCParticleData.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_collection_8h.html">eicd/MCParticleCollection.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a170932745890aea2df81d1d731724dd4">   16</a></span>&#160;<a class="code" href="classeic_1_1_m_c_particle.html#a170932745890aea2df81d1d731724dd4">MCParticle::MCParticle</a>() : m_obj(new <a class="code" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a>()) {</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;}</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#aa6d1540f70a1cda144825d5f18062a02">   20</a></span>&#160;<a class="code" href="classeic_1_1_m_c_particle.html#a170932745890aea2df81d1d731724dd4">MCParticle::MCParticle</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_m_c_particle.html#a81846f442aa4e0a4f5e914478532438d">pdg</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_m_c_particle.html#a6838feed01c9051e89da926363a61ff4">genstatus</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">vertex</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_m_c_particle.html#a6007d2d9cd1ae703bb55d1d5e4e75a39">charge</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_m_c_particle.html#ae1ecac7046f1551e9b5274a01b9825b9">mass</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_m_c_particle.html#a7e2dd3a192951e2adf76ddbc81764291">time</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">endpoint</a>, <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_m_c_particle.html#a48734eea7431778fb6416e0f5e8a5cae">endpointSet</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>) : m_obj(new <a class="code" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a>()) {</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#acf0ffef94f9415a7a97801da29a21e5e">pdg</a> = <a class="code" href="classeic_1_1_m_c_particle.html#a81846f442aa4e0a4f5e914478532438d">pdg</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a8a870e6388b9e64a02d0bca6801b601a">genstatus</a> = <a class="code" href="classeic_1_1_m_c_particle.html#a6838feed01c9051e89da926363a61ff4">genstatus</a>;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a8771e2fb9fe9ca396cbecf5060410e7c">vertex</a> = <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">vertex</a>;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#ae77900c9e87f5ac1066a5f6c3608f0b7">charge</a> = <a class="code" href="classeic_1_1_m_c_particle.html#a6007d2d9cd1ae703bb55d1d5e4e75a39">charge</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#aed0149ebe3ec1e40df6aeee5674d6eed">mass</a> = <a class="code" href="classeic_1_1_m_c_particle.html#ae1ecac7046f1551e9b5274a01b9825b9">mass</a>;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a2bfb1e85adabb7f235f40da4e1f769aa">time</a> = <a class="code" href="classeic_1_1_m_c_particle.html#a7e2dd3a192951e2adf76ddbc81764291">time</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a5a4dac0f304036cb780976bc02bb8f1f">endpoint</a> = <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">endpoint</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a85a5d2c0af212c34bcb8fe62ca205eca">endpointSet</a> = <a class="code" href="classeic_1_1_m_c_particle.html#a48734eea7431778fb6416e0f5e8a5cae">endpointSet</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a2bb18a6cc08946adb9c96ea121d0a513">momentum</a> = <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">momentum</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;}</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a52d92c1614e9ca4fa44fa33141555852">   33</a></span>&#160;<a class="code" href="classeic_1_1_m_c_particle.html#a170932745890aea2df81d1d731724dd4">MCParticle::MCParticle</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a>&amp; other) : m_obj(other.m_obj) {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  m_obj-&gt;acquire();</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;}</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#ae2fc4317d2d9a2576d9376d222ebb41f">   37</a></span>&#160;<a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#ae2fc4317d2d9a2576d9376d222ebb41f">MCParticle::operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a>&amp; other) {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  m_obj = other.m_obj;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a722308547d469f157993b0cf08d3e0c9">   43</a></span>&#160;<a class="code" href="classeic_1_1_m_c_particle.html#a170932745890aea2df81d1d731724dd4">MCParticle::MCParticle</a>( <a class="code" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a>* obj) : m_obj(obj) {</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;acquire();</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;}</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#aedb374e410d69d9eee0fa0900483372e">   47</a></span>&#160;<a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a> <a class="code" href="classeic_1_1_m_c_particle.html#aedb374e410d69d9eee0fa0900483372e">MCParticle::clone</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <span class="keywordflow">return</span> {<span class="keyword">new</span> <a class="code" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a>(*m_obj)};</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;}</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a953174ce834ac20fbe9735f20759606a">   51</a></span>&#160;<a class="code" href="classeic_1_1_m_c_particle.html#a953174ce834ac20fbe9735f20759606a">MCParticle::~MCParticle</a>() {</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  <span class="keywordflow">if</span> (m_obj) m_obj-&gt;release();</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;}</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#aee0cf0caef873807a5db5f332e1dcfd4">   54</a></span>&#160;MCParticle::operator <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>(m_obj); }</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a81846f442aa4e0a4f5e914478532438d">   56</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a81846f442aa4e0a4f5e914478532438d">MCParticle::pdg</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#acf0ffef94f9415a7a97801da29a21e5e">pdg</a>; }</div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a6838feed01c9051e89da926363a61ff4">   57</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a6838feed01c9051e89da926363a61ff4">MCParticle::genstatus</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a8a870e6388b9e64a02d0bca6801b601a">genstatus</a>; }</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">   58</a></span>&#160;<span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">MCParticle::vertex</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a8771e2fb9fe9ca396cbecf5060410e7c">vertex</a>; }</div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#adc177c1491df7a3535474645dd65bae1">   59</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">MCParticle::vertex</a>(<span class="keywordtype">size_t</span> i)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a8771e2fb9fe9ca396cbecf5060410e7c">vertex</a>.at(i); }</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a6007d2d9cd1ae703bb55d1d5e4e75a39">   60</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a6007d2d9cd1ae703bb55d1d5e4e75a39">MCParticle::charge</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#ae77900c9e87f5ac1066a5f6c3608f0b7">charge</a>; }</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#ae1ecac7046f1551e9b5274a01b9825b9">   61</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#ae1ecac7046f1551e9b5274a01b9825b9">MCParticle::mass</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#aed0149ebe3ec1e40df6aeee5674d6eed">mass</a>; }</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a7e2dd3a192951e2adf76ddbc81764291">   62</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a7e2dd3a192951e2adf76ddbc81764291">MCParticle::time</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a2bfb1e85adabb7f235f40da4e1f769aa">time</a>; }</div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">   63</a></span>&#160;<span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">MCParticle::endpoint</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a5a4dac0f304036cb780976bc02bb8f1f">endpoint</a>; }</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#ac571d825fbb6d6a50516a02942f85d51">   64</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">MCParticle::endpoint</a>(<span class="keywordtype">size_t</span> i)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a5a4dac0f304036cb780976bc02bb8f1f">endpoint</a>.at(i); }</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a48734eea7431778fb6416e0f5e8a5cae">   65</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">bool</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a48734eea7431778fb6416e0f5e8a5cae">MCParticle::endpointSet</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a85a5d2c0af212c34bcb8fe62ca205eca">endpointSet</a>; }</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">   66</a></span>&#160;<span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">MCParticle::momentum</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a2bb18a6cc08946adb9c96ea121d0a513">momentum</a>; }</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a83f9a0732e353b0c6e1fda71da34d958">   67</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">MCParticle::momentum</a>(<span class="keywordtype">size_t</span> i)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a2bb18a6cc08946adb9c96ea121d0a513">momentum</a>.at(i); }</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a43b93d6a6f69f8465baca887b479d93f">   70</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a81846f442aa4e0a4f5e914478532438d">MCParticle::pdg</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#acf0ffef94f9415a7a97801da29a21e5e">pdg</a> = value; }</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a4783c6a00a1421a1992b0119a9c382fd">   71</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a6838feed01c9051e89da926363a61ff4">MCParticle::genstatus</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a8a870e6388b9e64a02d0bca6801b601a">genstatus</a> = value; }</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a9b6852fb1a6ac894ee84d42edf80e770">   72</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">MCParticle::vertex</a>(std::array&lt;double, 3&gt; value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a8771e2fb9fe9ca396cbecf5060410e7c">vertex</a> = value; }</div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#ad24301c97cfb5566550faa0780f4f395">   73</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">MCParticle::vertex</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">double</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a8771e2fb9fe9ca396cbecf5060410e7c">vertex</a>.at(i) = value; }</div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a9864942abaf007afc32d0f0962d329af">   74</a></span>&#160;std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">MCParticle::vertex</a>() { <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a8771e2fb9fe9ca396cbecf5060410e7c">vertex</a>; }</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#ad93b861e396c13e87837ba0e656a1d28">   75</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a6007d2d9cd1ae703bb55d1d5e4e75a39">MCParticle::charge</a>(<span class="keywordtype">float</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#ae77900c9e87f5ac1066a5f6c3608f0b7">charge</a> = value; }</div><div class="line"><a name="l00076"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#aca34545a408ef675e2c72ffd1c9d886c">   76</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#ae1ecac7046f1551e9b5274a01b9825b9">MCParticle::mass</a>(<span class="keywordtype">float</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#aed0149ebe3ec1e40df6aeee5674d6eed">mass</a> = value; }</div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a4a3a6d27d24eac74846bce8234f8ba0d">   77</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a7e2dd3a192951e2adf76ddbc81764291">MCParticle::time</a>(<span class="keywordtype">float</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a2bfb1e85adabb7f235f40da4e1f769aa">time</a> = value; }</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a7fd61660d5b6e346113b20bc7e5e8d39">   78</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">MCParticle::endpoint</a>(std::array&lt;double, 3&gt; value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a5a4dac0f304036cb780976bc02bb8f1f">endpoint</a> = value; }</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a44e731150781284f38724b143616abbe">   79</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">MCParticle::endpoint</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">double</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a5a4dac0f304036cb780976bc02bb8f1f">endpoint</a>.at(i) = value; }</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a5a6aa0e0044f7681357a86c4970d7d8e">   80</a></span>&#160;std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">MCParticle::endpoint</a>() { <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a5a4dac0f304036cb780976bc02bb8f1f">endpoint</a>; }</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#ad8ae238226708182b543631734b07b8c">   81</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a48734eea7431778fb6416e0f5e8a5cae">MCParticle::endpointSet</a>(<span class="keywordtype">bool</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a85a5d2c0af212c34bcb8fe62ca205eca">endpointSet</a> = value; }</div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a5b1ae02518c1224970b8ad321ce43450">   82</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">MCParticle::momentum</a>(std::array&lt;double, 3&gt; value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a2bb18a6cc08946adb9c96ea121d0a513">momentum</a> = value; }</div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a14b6bef7bfd929400daa89a27133d00c">   83</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">MCParticle::momentum</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">double</span> value) { m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a2bb18a6cc08946adb9c96ea121d0a513">momentum</a>.at(i) = value; }</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a912cb1e640fa7056b86add26637e1d9f">   84</a></span>&#160;std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">MCParticle::momentum</a>() { <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a2bb18a6cc08946adb9c96ea121d0a513">momentum</a>; }</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a3bb13ed50decbe5a5bc7939801dca22e">   87</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a3bb13ed50decbe5a5bc7939801dca22e">MCParticle::addparents</a>(::<a class="code" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> component) {</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#abbeab95552f7def689dcba8b080c44f3">m_parents</a>-&gt;push_back(component);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a158c87a63f9b3963251a4e1e48dfa2c9">parents_end</a>++;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;}</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a94b0e83519cf5c7b8ac04f37182390a0">   92</a></span>&#160;std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_m_c_particle.html#a94b0e83519cf5c7b8ac04f37182390a0">MCParticle::parents_begin</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keyword">auto</span> ret_value = m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#abbeab95552f7def689dcba8b080c44f3">m_parents</a>-&gt;begin();</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  std::advance(ret_value, m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a27c3f596fc8a856619a6563ae8c8479f">parents_begin</a>);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keywordflow">return</span> ret_value;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;}</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a61df4024090bb917a289dbb4170f6270">   98</a></span>&#160;std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_m_c_particle.html#a61df4024090bb917a289dbb4170f6270">MCParticle::parents_end</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  <span class="keyword">auto</span> ret_value = m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#abbeab95552f7def689dcba8b080c44f3">m_parents</a>-&gt;begin();</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  std::advance(ret_value, m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a158c87a63f9b3963251a4e1e48dfa2c9">parents_end</a>);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <span class="keywordflow">return</span> ret_value;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;}</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a5082a0f50bd15a1de8d78e7a3075eeaf">  104</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_m_c_particle.html#a5082a0f50bd15a1de8d78e7a3075eeaf">MCParticle::parents_size</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a158c87a63f9b3963251a4e1e48dfa2c9">parents_end</a> - m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a27c3f596fc8a856619a6563ae8c8479f">parents_begin</a>;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;}</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#ae52dbfc86636388529c5ba275cd8c999">  108</a></span>&#160;<a class="code" href="classeic_1_1_const_m_c_particle.html">::eic::ConstMCParticle</a> <a class="code" href="classeic_1_1_m_c_particle.html#af962506d29f35c180adf6a2e65ccc4ac">MCParticle::parents</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  <span class="keywordflow">if</span> (<a class="code" href="classeic_1_1_m_c_particle.html#a5082a0f50bd15a1de8d78e7a3075eeaf">parents_size</a>() &gt; index) {</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#abbeab95552f7def689dcba8b080c44f3">m_parents</a>-&gt;at(m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a27c3f596fc8a856619a6563ae8c8479f">parents_begin</a> + index);</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  }</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <span class="keywordflow">throw</span> std::out_of_range(<span class="stringliteral">&quot;index out of bounds for existing references&quot;</span>);</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;}</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#af962506d29f35c180adf6a2e65ccc4ac">  115</a></span>&#160;podio::RelationRange&lt;::eic::ConstMCParticle&gt; <a class="code" href="classeic_1_1_m_c_particle.html#af962506d29f35c180adf6a2e65ccc4ac">MCParticle::parents</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  <span class="keyword">auto</span> begin = m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#abbeab95552f7def689dcba8b080c44f3">m_parents</a>-&gt;begin();</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  std::advance(begin, m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a27c3f596fc8a856619a6563ae8c8479f">parents_begin</a>);</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;  <span class="keyword">auto</span> end = m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#abbeab95552f7def689dcba8b080c44f3">m_parents</a>-&gt;begin();</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  std::advance(end, m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#a158c87a63f9b3963251a4e1e48dfa2c9">parents_end</a>);</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  <span class="keywordflow">return</span> {begin, end};</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;}</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a2ad0c542898a7799a3cdbbd972581ac3">  123</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_m_c_particle.html#a2ad0c542898a7799a3cdbbd972581ac3">MCParticle::adddaughters</a>(::<a class="code" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> component) {</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#a9452457d7033909edc58bd37b44d6115">m_daughters</a>-&gt;push_back(component);</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;  m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#acffbc08ec46bc01882415ad7b7e3e57d">daughters_end</a>++;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;}</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#ab6254600c63c9847b85e25882f1b2f9d">  128</a></span>&#160;std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_m_c_particle.html#ab6254600c63c9847b85e25882f1b2f9d">MCParticle::daughters_begin</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;  <span class="keyword">auto</span> ret_value = m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#a9452457d7033909edc58bd37b44d6115">m_daughters</a>-&gt;begin();</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;  std::advance(ret_value, m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#ae53b47472a0aa6deff72c108949de76f">daughters_begin</a>);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <span class="keywordflow">return</span> ret_value;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;}</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#af7e08905192580dc212db450ae692818">  134</a></span>&#160;std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_m_c_particle.html#af7e08905192580dc212db450ae692818">MCParticle::daughters_end</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;  <span class="keyword">auto</span> ret_value = m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#a9452457d7033909edc58bd37b44d6115">m_daughters</a>-&gt;begin();</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;  std::advance(ret_value, m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#acffbc08ec46bc01882415ad7b7e3e57d">daughters_end</a>);</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;  <span class="keywordflow">return</span> ret_value;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;}</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00140"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a5741529b6125e8fd89cd48b2661b1511">  140</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_m_c_particle.html#a5741529b6125e8fd89cd48b2661b1511">MCParticle::daughters_size</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#acffbc08ec46bc01882415ad7b7e3e57d">daughters_end</a> - m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#ae53b47472a0aa6deff72c108949de76f">daughters_begin</a>;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;}</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a58d1fa3561e3f9155e2324dd74b727ed">  144</a></span>&#160;<a class="code" href="classeic_1_1_const_m_c_particle.html">::eic::ConstMCParticle</a> <a class="code" href="classeic_1_1_m_c_particle.html#ac28b7acd6dc987967fcb103e2e3bd773">MCParticle::daughters</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;  <span class="keywordflow">if</span> (<a class="code" href="classeic_1_1_m_c_particle.html#a5741529b6125e8fd89cd48b2661b1511">daughters_size</a>() &gt; index) {</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#a9452457d7033909edc58bd37b44d6115">m_daughters</a>-&gt;at(m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#ae53b47472a0aa6deff72c108949de76f">daughters_begin</a> + index);</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;  }</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;  <span class="keywordflow">throw</span> std::out_of_range(<span class="stringliteral">&quot;index out of bounds for existing references&quot;</span>);</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;}</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#ac28b7acd6dc987967fcb103e2e3bd773">  151</a></span>&#160;podio::RelationRange&lt;::eic::ConstMCParticle&gt; <a class="code" href="classeic_1_1_m_c_particle.html#ac28b7acd6dc987967fcb103e2e3bd773">MCParticle::daughters</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;  <span class="keyword">auto</span> begin = m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#a9452457d7033909edc58bd37b44d6115">m_daughters</a>-&gt;begin();</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;  std::advance(begin, m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#ae53b47472a0aa6deff72c108949de76f">daughters_begin</a>);</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;  <span class="keyword">auto</span> end = m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#a9452457d7033909edc58bd37b44d6115">m_daughters</a>-&gt;begin();</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;  std::advance(end, m_obj-&gt;<a class="code" href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">data</a>.<a class="code" href="classeic_1_1_m_c_particle_data.html#acffbc08ec46bc01882415ad7b7e3e57d">daughters_end</a>);</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;  <span class="keywordflow">return</span> {begin, end};</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;}</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#adad3269b18145357d6efcd31657f7a76">  164</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_m_c_particle.html#adad3269b18145357d6efcd31657f7a76">MCParticle::isAvailable</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;  }</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;}</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div><div class="line"><a name="l00171"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a01a8039a3380d33dbb576c9243c6d0fc">  171</a></span>&#160;<span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_m_c_particle.html#a01a8039a3380d33dbb576c9243c6d0fc">MCParticle::getObjectID</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;  <span class="keywordflow">if</span> (m_obj) {</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    <span class="keywordflow">return</span> m_obj-&gt;id;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;  }</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;  <span class="keywordflow">return</span> podio::ObjectID{podio::ObjectID::invalid, podio::ObjectID::invalid};</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;}</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno"><a class="line" href="classeic_1_1_m_c_particle.html#a9f63bcf89a9c2db58229fbc3d1c99714">  178</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_m_c_particle.html#a787f00b5626d161c2b4bdb6c948b5fd1">MCParticle::operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>&amp; other)<span class="keyword"> const </span>{</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;  <span class="keywordflow">return</span> m_obj == other.m_obj;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;}</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;</div><div class="line"><a name="l00182"></a><span class="lineno"><a class="line" href="namespaceeic.html#aff390b3087047913ea31be425d127579">  182</a></span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>&amp; value) {</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; id: &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#a3c90550e4ec200155866d89bfbe77112">id</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; pdg : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#a4feb82aabff484e7885c41fd4aae95fb">pdg</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; genstatus : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#a4628fb384b88d8b3774151c71351a794">genstatus</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; vertex : &quot;</span>;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">size_t</span> i = 0; i &lt; 3; ++i) {</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;    o &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#a73cc7419c5ea3547973964144351c844">vertex</a>()[i] &lt;&lt; <span class="stringliteral">&quot;|&quot;</span>;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;  }</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;  o &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; charge : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#aa299cbcdaa5c92e75d2a5ce2b65e9725">charge</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; mass : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#a1d7f3b212099a69437621d8c2faef2d0">mass</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; time : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#a2583cac62bbc60d542d060622cc95129">time</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; endpoint : &quot;</span>;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">size_t</span> i = 0; i &lt; 3; ++i) {</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    o &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#ac547ab39858dcd2785f1ac84bfbbd6a6">endpoint</a>()[i] &lt;&lt; <span class="stringliteral">&quot;|&quot;</span>;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;  }</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;  o &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; endpointSet : &quot;</span> &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#ad332400dde97d2d29ae52eeb873743ef">endpointSet</a>() &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; momentum : &quot;</span>;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">size_t</span> i = 0; i &lt; 3; ++i) {</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    o &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#a3420511ce781246535a1ac6535d2ac46">momentum</a>()[i] &lt;&lt; <span class="stringliteral">&quot;|&quot;</span>;</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;  }</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;  o &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; parents : &quot;</span>;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#ae4bc53b0380ca490499bce38831df724">parents_size</a>(); ++i) {</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    o &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#a91bf17bdfbf05bc00e99977e31913bd8">parents</a>(i).<a class="code" href="classeic_1_1_const_m_c_particle.html#a3c90550e4ec200155866d89bfbe77112">id</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;  }</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;  o &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot; daughters : &quot;</span>;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">unsigned</span> i = 0; i &lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#a724312bd83542265d495da576d140aba">daughters_size</a>(); ++i) {</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    o &lt;&lt; value.<a class="code" href="classeic_1_1_const_m_c_particle.html#a938b4bc9d73729e5f27216044173113b">daughters</a>(i).<a class="code" href="classeic_1_1_const_m_c_particle.html#a3c90550e4ec200155866d89bfbe77112">id</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span>;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;  }</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;  o &lt;&lt; <span class="charliteral">&#39;\n&#39;</span>;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;}</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;</div><div class="ttc" id="classeic_1_1_const_m_c_particle_html_a938b4bc9d73729e5f27216044173113b"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a938b4bc9d73729e5f27216044173113b">eic::ConstMCParticle::daughters</a></div><div class="ttdeci">::eic::ConstMCParticle daughters(unsigned int) const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00117">MCParticleConst.cc:117</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html"><div class="ttname"><a href="classeic_1_1_m_c_particle.html">eic::MCParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00028">MCParticle.h:28</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_aedb374e410d69d9eee0fa0900483372e"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#aedb374e410d69d9eee0fa0900483372e">eic::MCParticle::clone</a></div><div class="ttdeci">MCParticle clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00047">MCParticle.cc:47</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a5741529b6125e8fd89cd48b2661b1511"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a5741529b6125e8fd89cd48b2661b1511">eic::MCParticle::daughters_size</a></div><div class="ttdeci">unsigned int daughters_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00140">MCParticle.cc:140</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_a85a5d2c0af212c34bcb8fe62ca205eca"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#a85a5d2c0af212c34bcb8fe62ca205eca">eic::MCParticleData::endpointSet</a></div><div class="ttdeci">bool endpointSet</div><div class="ttdoc">Whether the endpoint has been set. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00024">MCParticleData.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_a2bb18a6cc08946adb9c96ea121d0a513"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#a2bb18a6cc08946adb9c96ea121d0a513">eic::MCParticleData::momentum</a></div><div class="ttdeci">std::array&lt; double, 3 &gt; momentum</div><div class="ttdoc">The particle&amp;#39;s 3-momentum at the production vertex in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00025">MCParticleData.h:25</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a61df4024090bb917a289dbb4170f6270"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a61df4024090bb917a289dbb4170f6270">eic::MCParticle::parents_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator parents_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00098">MCParticle.cc:98</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_obj_html"><div class="ttname"><a href="classeic_1_1_m_c_particle_obj.html">eic::MCParticleObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_obj_8h_source.html#l00020">MCParticleObj.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8h_source.html#l00026">MCParticleConst.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_acf0ffef94f9415a7a97801da29a21e5e"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#acf0ffef94f9415a7a97801da29a21e5e">eic::MCParticleData::pdg</a></div><div class="ttdeci">long long pdg</div><div class="ttdoc">The PDG code of the particle. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00017">MCParticleData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a2583cac62bbc60d542d060622cc95129"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a2583cac62bbc60d542d060622cc95129">eic::ConstMCParticle::time</a></div><div class="ttdeci">const float &amp; time() const</div><div class="ttdoc">Access the The creation time of the particle in [ns] wrt. the event, e.g. for preassigned decays or d...</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00060">MCParticleConst.cc:60</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_ab6254600c63c9847b85e25882f1b2f9d"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#ab6254600c63c9847b85e25882f1b2f9d">eic::MCParticle::daughters_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator daughters_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00128">MCParticle.cc:128</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_a158c87a63f9b3963251a4e1e48dfa2c9"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#a158c87a63f9b3963251a4e1e48dfa2c9">eic::MCParticleData::parents_end</a></div><div class="ttdeci">unsigned int parents_end</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00028">MCParticleData.h:28</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a787f00b5626d161c2b4bdb6c948b5fd1"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a787f00b5626d161c2b4bdb6c948b5fd1">eic::MCParticle::operator==</a></div><div class="ttdeci">bool operator==(const MCParticle &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00159">MCParticle.h:159</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a724312bd83542265d495da576d140aba"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a724312bd83542265d495da576d140aba">eic::ConstMCParticle::daughters_size</a></div><div class="ttdeci">unsigned int daughters_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00113">MCParticleConst.cc:113</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_ae1ecac7046f1551e9b5274a01b9825b9"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#ae1ecac7046f1551e9b5274a01b9825b9">eic::MCParticle::mass</a></div><div class="ttdeci">const float &amp; mass() const</div><div class="ttdoc">Access the The mass of the particle in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00061">MCParticle.cc:61</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_ac28b7acd6dc987967fcb103e2e3bd773"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#ac28b7acd6dc987967fcb103e2e3bd773">eic::MCParticle::daughters</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstMCParticle &gt; daughters() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00151">MCParticle.cc:151</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_aed0149ebe3ec1e40df6aeee5674d6eed"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#aed0149ebe3ec1e40df6aeee5674d6eed">eic::MCParticleData::mass</a></div><div class="ttdeci">float mass</div><div class="ttdoc">The mass of the particle in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00021">MCParticleData.h:21</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a2ad0c542898a7799a3cdbbd972581ac3"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a2ad0c542898a7799a3cdbbd972581ac3">eic::MCParticle::adddaughters</a></div><div class="ttdeci">void adddaughters(::eic::ConstMCParticle)</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00123">MCParticle.cc:123</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_ae2fc4317d2d9a2576d9376d222ebb41f"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#ae2fc4317d2d9a2576d9376d222ebb41f">eic::MCParticle::operator=</a></div><div class="ttdeci">MCParticle &amp; operator=(const MCParticle &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00037">MCParticle.cc:37</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a94b0e83519cf5c7b8ac04f37182390a0"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a94b0e83519cf5c7b8ac04f37182390a0">eic::MCParticle::parents_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator parents_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00092">MCParticle.cc:92</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_ae4bc53b0380ca490499bce38831df724"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#ae4bc53b0380ca490499bce38831df724">eic::ConstMCParticle::parents_size</a></div><div class="ttdeci">unsigned int parents_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00081">MCParticleConst.cc:81</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a170932745890aea2df81d1d731724dd4"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a170932745890aea2df81d1d731724dd4">eic::MCParticle::MCParticle</a></div><div class="ttdeci">MCParticle()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00016">MCParticle.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_af962506d29f35c180adf6a2e65ccc4ac"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#af962506d29f35c180adf6a2e65ccc4ac">eic::MCParticle::parents</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstMCParticle &gt; parents() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00115">MCParticle.cc:115</a></div></div>
<div class="ttc" id="_m_c_particle_obj_8h_html"><div class="ttname"><a href="_m_c_particle_obj_8h.html">MCParticleObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a953174ce834ac20fbe9735f20759606a"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a953174ce834ac20fbe9735f20759606a">eic::MCParticle::~MCParticle</a></div><div class="ttdeci">~MCParticle()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00051">MCParticle.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_af7e08905192580dc212db450ae692818"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#af7e08905192580dc212db450ae692818">eic::MCParticle::daughters_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator daughters_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00134">MCParticle.cc:134</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_obj_html_afbb253d7f65ba1ebec9f9a9d4acc11b6"><div class="ttname"><a href="classeic_1_1_m_c_particle_obj.html#afbb253d7f65ba1ebec9f9a9d4acc11b6">eic::MCParticleObj::data</a></div><div class="ttdeci">MCParticleData data</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_obj_8h_source.html#l00032">MCParticleObj.h:32</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_ae77900c9e87f5ac1066a5f6c3608f0b7"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#ae77900c9e87f5ac1066a5f6c3608f0b7">eic::MCParticleData::charge</a></div><div class="ttdeci">float charge</div><div class="ttdoc">The particle&amp;#39;s charge. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00020">MCParticleData.h:20</a></div></div>
<div class="ttc" id="_m_c_particle_data_8h_html"><div class="ttname"><a href="_m_c_particle_data_8h.html">MCParticleData.h</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_a27c3f596fc8a856619a6563ae8c8479f"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#a27c3f596fc8a856619a6563ae8c8479f">eic::MCParticleData::parents_begin</a></div><div class="ttdeci">unsigned int parents_begin</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00027">MCParticleData.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a81846f442aa4e0a4f5e914478532438d"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a81846f442aa4e0a4f5e914478532438d">eic::MCParticle::pdg</a></div><div class="ttdeci">const long long &amp; pdg() const</div><div class="ttdoc">Access the The PDG code of the particle. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00056">MCParticle.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_ad332400dde97d2d29ae52eeb873743ef"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#ad332400dde97d2d29ae52eeb873743ef">eic::ConstMCParticle::endpointSet</a></div><div class="ttdeci">const bool &amp; endpointSet() const</div><div class="ttdoc">Access the Whether the endpoint has been set. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00063">MCParticleConst.cc:63</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_ac547ab39858dcd2785f1ac84bfbbd6a6"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#ac547ab39858dcd2785f1ac84bfbbd6a6">eic::ConstMCParticle::endpoint</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; endpoint() const</div><div class="ttdoc">Access the The endpoint of the particle in [mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00061">MCParticleConst.cc:61</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_a8a870e6388b9e64a02d0bca6801b601a"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#a8a870e6388b9e64a02d0bca6801b601a">eic::MCParticleData::genstatus</a></div><div class="ttdeci">long long genstatus</div><div class="ttdoc">The status for particles as defined by the generator. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00018">MCParticleData.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_ae53b47472a0aa6deff72c108949de76f"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#ae53b47472a0aa6deff72c108949de76f">eic::MCParticleData::daughters_begin</a></div><div class="ttdeci">unsigned int daughters_begin</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00029">MCParticleData.h:29</a></div></div>
<div class="ttc" id="_m_c_particle_8h_html"><div class="ttname"><a href="_m_c_particle_8h.html">MCParticle.h</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_adad3269b18145357d6efcd31657f7a76"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#adad3269b18145357d6efcd31657f7a76">eic::MCParticle::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00164">MCParticle.cc:164</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a3c90550e4ec200155866d89bfbe77112"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a3c90550e4ec200155866d89bfbe77112">eic::ConstMCParticle::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8h_source.html#l00110">MCParticleConst.h:110</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a4feb82aabff484e7885c41fd4aae95fb"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a4feb82aabff484e7885c41fd4aae95fb">eic::ConstMCParticle::pdg</a></div><div class="ttdeci">const long long &amp; pdg() const</div><div class="ttdoc">Access the The PDG code of the particle. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00054">MCParticleConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_obj_html_a9452457d7033909edc58bd37b44d6115"><div class="ttname"><a href="classeic_1_1_m_c_particle_obj.html#a9452457d7033909edc58bd37b44d6115">eic::MCParticleObj::m_daughters</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt; * m_daughters</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_obj_8h_source.html#l00034">MCParticleObj.h:34</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_acffbc08ec46bc01882415ad7b7e3e57d"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#acffbc08ec46bc01882415ad7b7e3e57d">eic::MCParticleData::daughters_end</a></div><div class="ttdeci">unsigned int daughters_end</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00030">MCParticleData.h:30</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a5082a0f50bd15a1de8d78e7a3075eeaf"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a5082a0f50bd15a1de8d78e7a3075eeaf">eic::MCParticle::parents_size</a></div><div class="ttdeci">unsigned int parents_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00104">MCParticle.cc:104</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a73cc7419c5ea3547973964144351c844"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a73cc7419c5ea3547973964144351c844">eic::ConstMCParticle::vertex</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; vertex() const</div><div class="ttdoc">Access the The production vertex of the particle in [mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00056">MCParticleConst.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a1d7f3b212099a69437621d8c2faef2d0"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a1d7f3b212099a69437621d8c2faef2d0">eic::ConstMCParticle::mass</a></div><div class="ttdeci">const float &amp; mass() const</div><div class="ttdoc">Access the The mass of the particle in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00059">MCParticleConst.cc:59</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_a8771e2fb9fe9ca396cbecf5060410e7c"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#a8771e2fb9fe9ca396cbecf5060410e7c">eic::MCParticleData::vertex</a></div><div class="ttdeci">std::array&lt; double, 3 &gt; vertex</div><div class="ttdoc">The production vertex of the particle in [mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00019">MCParticleData.h:19</a></div></div>
<div class="ttc" id="_m_c_particle_const_8h_html"><div class="ttname"><a href="_m_c_particle_const_8h.html">MCParticleConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a0ccbb42541ac96d7849de1c8cb485eae"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a0ccbb42541ac96d7849de1c8cb485eae">eic::MCParticle::vertex</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; vertex() const</div><div class="ttdoc">Access the The production vertex of the particle in [mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00058">MCParticle.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_a2bfb1e85adabb7f235f40da4e1f769aa"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#a2bfb1e85adabb7f235f40da4e1f769aa">eic::MCParticleData::time</a></div><div class="ttdeci">float time</div><div class="ttdoc">The creation time of the particle in [ns] wrt. the event, e.g. for preassigned decays or decays in fl...</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00022">MCParticleData.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_data_html_a5a4dac0f304036cb780976bc02bb8f1f"><div class="ttname"><a href="classeic_1_1_m_c_particle_data.html#a5a4dac0f304036cb780976bc02bb8f1f">eic::MCParticleData::endpoint</a></div><div class="ttdeci">std::array&lt; double, 3 &gt; endpoint</div><div class="ttdoc">The endpoint of the particle in [mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_data_8h_source.html#l00023">MCParticleData.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a01a8039a3380d33dbb576c9243c6d0fc"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a01a8039a3380d33dbb576c9243c6d0fc">eic::MCParticle::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00171">MCParticle.cc:171</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a3420511ce781246535a1ac6535d2ac46"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a3420511ce781246535a1ac6535d2ac46">eic::ConstMCParticle::momentum</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; momentum() const</div><div class="ttdoc">Access the The particle&amp;#39;s 3-momentum at the production vertex in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00064">MCParticleConst.cc:64</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_obj_html_abbeab95552f7def689dcba8b080c44f3"><div class="ttname"><a href="classeic_1_1_m_c_particle_obj.html#abbeab95552f7def689dcba8b080c44f3">eic::MCParticleObj::m_parents</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt; * m_parents</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_obj_8h_source.html#l00033">MCParticleObj.h:33</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a6007d2d9cd1ae703bb55d1d5e4e75a39"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a6007d2d9cd1ae703bb55d1d5e4e75a39">eic::MCParticle::charge</a></div><div class="ttdeci">const float &amp; charge() const</div><div class="ttdoc">Access the The particle&amp;#39;s charge. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00060">MCParticle.cc:60</a></div></div>
<div class="ttc" id="_m_c_particle_collection_8h_html"><div class="ttname"><a href="_m_c_particle_collection_8h.html">MCParticleCollection.h</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a6838feed01c9051e89da926363a61ff4"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a6838feed01c9051e89da926363a61ff4">eic::MCParticle::genstatus</a></div><div class="ttdeci">const long long &amp; genstatus() const</div><div class="ttdoc">Access the The status for particles as defined by the generator. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00057">MCParticle.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_aa299cbcdaa5c92e75d2a5ce2b65e9725"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#aa299cbcdaa5c92e75d2a5ce2b65e9725">eic::ConstMCParticle::charge</a></div><div class="ttdeci">const float &amp; charge() const</div><div class="ttdoc">Access the The particle&amp;#39;s charge. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00058">MCParticleConst.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a91bf17bdfbf05bc00e99977e31913bd8"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a91bf17bdfbf05bc00e99977e31913bd8">eic::ConstMCParticle::parents</a></div><div class="ttdeci">::eic::ConstMCParticle parents(unsigned int) const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00085">MCParticleConst.cc:85</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a9e7e0a13b8d667b0c10143c6e5d1f3f1"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a9e7e0a13b8d667b0c10143c6e5d1f3f1">eic::MCParticle::momentum</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; momentum() const</div><div class="ttdoc">Access the The particle&amp;#39;s 3-momentum at the production vertex in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00066">MCParticle.cc:66</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a7e2dd3a192951e2adf76ddbc81764291"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a7e2dd3a192951e2adf76ddbc81764291">eic::MCParticle::time</a></div><div class="ttdeci">const float &amp; time() const</div><div class="ttdoc">Access the The creation time of the particle in [ns] wrt. the event, e.g. for preassigned decays or d...</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00062">MCParticle.cc:62</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a48734eea7431778fb6416e0f5e8a5cae"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a48734eea7431778fb6416e0f5e8a5cae">eic::MCParticle::endpointSet</a></div><div class="ttdeci">const bool &amp; endpointSet() const</div><div class="ttdoc">Access the Whether the endpoint has been set. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00065">MCParticle.cc:65</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a4628fb384b88d8b3774151c71351a794"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a4628fb384b88d8b3774151c71351a794">eic::ConstMCParticle::genstatus</a></div><div class="ttdeci">const long long &amp; genstatus() const</div><div class="ttdoc">Access the The status for particles as defined by the generator. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00055">MCParticleConst.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a2c5cdf04d07aa6d9a0b647d76cb1112d"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a2c5cdf04d07aa6d9a0b647d76cb1112d">eic::MCParticle::endpoint</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; endpoint() const</div><div class="ttdoc">Access the The endpoint of the particle in [mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00063">MCParticle.cc:63</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_html_a3bb13ed50decbe5a5bc7939801dca22e"><div class="ttname"><a href="classeic_1_1_m_c_particle.html#a3bb13ed50decbe5a5bc7939801dca22e">eic::MCParticle::addparents</a></div><div class="ttdeci">void addparents(::eic::ConstMCParticle)</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8cc_source.html#l00087">MCParticle.cc:87</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
